[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[project]
name = "l4d2web"
version = "0.1.0"
description = "L4D2 web app"
readme = "README.md"
requires-python = ">=3.13"
dependencies = [
  "Flask>=3.0",
  "SQLAlchemy>=2.0",
  "alembic>=1.13",
  "PyYAML>=6.0",
  "gunicorn>=22.0",
  "requests>=2.31",
  "l4d2host",
]

[tool.uv.sources]
l4d2host = { workspace = true }
